Package org.eclipse.remote.console.actions

# Interface IConsoleActionFactory

public interface IConsoleActionFactory

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`ConsoleAction`
`createAction(String actionId, String connectionType, org.eclipse.core.runtime.IAdaptable adapter)`
Returns an implementation of ConsoleAction

## Method Details

### createAction

ConsoleAction createAction(String actionId, String connectionType, org.eclipse.core.runtime.IAdaptable adapter)
Returns an implementation of ConsoleAction

Parameters:
  `actionId` - The id of the action being requested
  `connectionType` - The connection type of the terminal console
  `adapter` - An adapter to get relevant objects for use by the ConsoleAction being created (eg. IRemoteConnection)
Returns:
  an implementation of ConsoleAction